<div class="front_page_section front_page_section_googlemap<?php
			$jack_well_scheme = jack_well_get_theme_option('front_page_googlemap_scheme');
			if (!jack_well_is_inherit($jack_well_scheme)) echo ' scheme_'.esc_attr($jack_well_scheme);
			echo ' front_page_section_paddings_'.esc_attr(jack_well_get_theme_option('front_page_googlemap_paddings'));
		?>"<?php
		$jack_well_css = '';
		$jack_well_bg_image = jack_well_get_theme_option('front_page_googlemap_bg_image');
		if (!empty($jack_well_bg_image)) 
			$jack_well_css .= 'background-image: url('.esc_url(jack_well_get_attachment_url($jack_well_bg_image)).');';
		if (!empty($jack_well_css))
			echo ' style="' . esc_attr($jack_well_css) . '"';
?>><?php
	// Add anchor
	$jack_well_anchor_icon = jack_well_get_theme_option('front_page_googlemap_anchor_icon');	
	$jack_well_anchor_text = jack_well_get_theme_option('front_page_googlemap_anchor_text');	
	if ((!empty($jack_well_anchor_icon) || !empty($jack_well_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_googlemap"'
										. (!empty($jack_well_anchor_icon) ? ' icon="'.esc_attr($jack_well_anchor_icon).'"' : '')
										. (!empty($jack_well_anchor_text) ? ' title="'.esc_attr($jack_well_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_googlemap_inner<?php
			if (jack_well_get_theme_option('front_page_googlemap_fullheight'))
				echo ' jack_well-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$jack_well_css = '';
			$jack_well_bg_mask = jack_well_get_theme_option('front_page_googlemap_bg_mask');
			$jack_well_bg_color = jack_well_get_theme_option('front_page_googlemap_bg_color');
			if (!empty($jack_well_bg_color) && $jack_well_bg_mask > 0)
				$jack_well_css .= 'background-color: '.esc_attr($jack_well_bg_mask==1
																	? $jack_well_bg_color
																	: jack_well_hex2rgba($jack_well_bg_color, $jack_well_bg_mask)
																).';';
			if (!empty($jack_well_css))
				echo ' style="' . esc_attr($jack_well_css) . '"';
	?>>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap<?php
			$jack_well_layout = jack_well_get_theme_option('front_page_googlemap_layout');
			if ($jack_well_layout != 'fullwidth')
				echo ' content_wrap';
		?>">
			<?php
			// Content wrap with title and description
			$jack_well_caption = jack_well_get_theme_option('front_page_googlemap_caption');
			$jack_well_description = jack_well_get_theme_option('front_page_googlemap_description');
			if (!empty($jack_well_caption) || !empty($jack_well_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				if ($jack_well_layout == 'fullwidth') {
					?><div class="content_wrap"><?php
				}
					// Caption
					if (!empty($jack_well_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
						?><h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo !empty($jack_well_caption) ? 'filled' : 'empty'; ?>"><?php
							echo wp_kses_post($jack_well_caption);
						?></h2><?php
					}
				
					// Description (text)
					if (!empty($jack_well_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
						?><div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo !empty($jack_well_description) ? 'filled' : 'empty'; ?>"><?php
							echo wp_kses_post(wpautop($jack_well_description));
						?></div><?php
					}
				if ($jack_well_layout == 'fullwidth') {
					?></div><?php
				}
			}

			// Content (text)
			$jack_well_content = jack_well_get_theme_option('front_page_googlemap_content');
			if (!empty($jack_well_content) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				if ($jack_well_layout == 'columns') {
					?><div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} else if ($jack_well_layout == 'fullwidth') {
					?><div class="content_wrap"><?php
				}
	
				?><div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo !empty($jack_well_content) ? 'filled' : 'empty'; ?>"><?php
					echo wp_kses_post($jack_well_content);
				?></div><?php
	
				if ($jack_well_layout == 'columns') {
					?></div><div class="column-2_3"><?php
				} else if ($jack_well_layout == 'fullwidth') {
					?></div><?php
				}
			}
			
			// Widgets output
			?><div class="front_page_section_output front_page_section_googlemap_output"><?php 
				if (is_active_sidebar('front_page_googlemap_widgets')) {
					dynamic_sidebar( 'front_page_googlemap_widgets' );
				} else if (current_user_can( 'edit_theme_options' )) {
					if (!jack_well_exists_trx_addons())
						jack_well_customizer_need_trx_addons_message();
					else
						jack_well_customizer_need_widgets_message('front_page_googlemap_caption', 'ThemeREX Addons - Google map');
				}
			?></div><?php

			if ($jack_well_layout == 'columns' && (!empty($jack_well_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?></div></div><?php
			}
			?>			
		</div>
	</div>
</div>